Bug 883114

Summary: Install bltest and fipstest as unsupported tools
Product: [Fedora] Fedora Reporter: Elio Maldonado Batiz <emaldona>
Component: nss-softoknAssignee: Elio Maldonado Batiz <emaldona>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: emaldona, kengert, rrelyea
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: nss-softokn-3.14-6.fc19, nss-softokn-3.14.1-5.fc18 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-12 00:13:15 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 689918    
Attachments:
Description Flags
Adds bltest and fipstest to the unsupported tools rrelyea: review+

Description Elio Maldonado Batiz 2012-12-03 19:52:48 UTC
Description of problem: The bltest and fipstest test tools aren't availabele for package maintainers to use when trying to reproduce bugs or when when doing improvements to the build sytem such as the ones proposed on Bug 689918..


Version-Release number of selected component (if applicable): nss-softokn-3.14-5 and eralier.

How reproducible: Always

Steps to Reproduce:
1. execute rpm -q nss-softoken | grep unsupported-tools

Actual results: 
/usr/lib{64}/nss/unsupported-tools/shlibsign


Expected results:
/usr/lib{64}/nss/unsupported-tools/bltest
/usr/lib{64}/nss/unsupported-tools/fisptest
/usr/lib{64}/nss/unsupported-tools/shlibsign


Additional info: Bug 689918 requests that nss be built without having any softoken sources in the tree. This is for the test suite which to use the softoken/freebl signed shared libraries already in the system. This allows testing the actually combination of nss and crypto planned to ship even if softoken is some version behind the rest nss. 

The suggestion was made on
https://bugzilla.redhat.com/show_bug.cgi?id=689918#c50
That bltest be avaiable. Thius bug proposes including fipstest also.
If we ship one or both tools it should be as unsupported tools as they are of little use outside of package maintenance.

Comment 1 Elio Maldonado Batiz 2012-12-03 20:00:06 UTC
Created attachment 656961 [details]
Adds bltest and fipstest to the unsupported tools

Comment 2 Bob Relyea 2012-12-03 22:06:20 UTC
Comment on attachment 656961 [details]
Adds bltest and fipstest to the unsupported tools

r+

Comment 3 Fedora Update System 2012-12-31 03:49:21 UTC
nss-softokn-3.14.1-5.fc18, nss-util-3.14.1-2.fc18, nspr-4.9.4-1.fc18, nss-3.14.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-21005/nss-softokn-3.14.1-5.fc18,nss-util-3.14.1-2.fc18,nspr-4.9.4-1.fc18,nss-3.14.1-2.fc18

Comment 4 Fedora Update System 2013-01-01 00:14:49 UTC
Package nss-softokn-3.14.1-5.fc18, nss-util-3.14.1-2.fc18, nspr-4.9.4-1.fc18, nss-3.14.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nss-softokn-3.14.1-5.fc18 nss-util-3.14.1-2.fc18 nspr-4.9.4-1.fc18 nss-3.14.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-21005/nss-softokn-3.14.1-5.fc18,nss-util-3.14.1-2.fc18,nspr-4.9.4-1.fc18,nss-3.14.1-2.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-01-12 00:13:17 UTC
nss-softokn-3.14.1-5.fc18, nss-util-3.14.1-2.fc18, nspr-4.9.4-1.fc18, nss-3.14.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.